Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.cwru.SimpleRTS.model
Enum Direction

    java.lang.Object
      java.lang.Enum<Direction>
          edu.cwru.SimpleRTS.model.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Direction>

    public enum Direction

extends java.lang.Enum<Direction>

A basic enumeration of the eight directions in which a primitive action can be taken. Directions are treated the same as screen coordinates: East is positive x, South is positive y.

Author:
  Tim

Enum Constant Summary
`EAST`
`NORTH`
`NORTHEAST`
`NORTHWEST`
`SOUTH`
`SOUTHEAST`
`SOUTHWEST`
`WEST`

Method Summary
`static Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`int` | `xComponent()`
`int` | `yComponent()`

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORTH

    public static final Direction NORTH

### NORTHEAST

    public static final Direction NORTHEAST

### EAST

    public static final Direction EAST

### SOUTHEAST

    public static final Direction SOUTHEAST

### SOUTH

    public static final Direction SOUTH

### SOUTHWEST

    public static final Direction SOUTHWEST

### WEST

    public static final Direction WEST

### NORTHWEST

    public static final Direction NORTHWEST

Method Detail

### values

    public static Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Direction c : Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### xComponent

    public int xComponent()

### yComponent

    public int yComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD